## kuwatcher 0.3-ku26-01a

=== debian/changelog ===
kuwatcher (0.3-ku26-01a) unstable; urgency=low

  * sbin/kuwatcher
    - fix: don't change savestate if already in place (on refresh)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 20 Jan 2026 18:57:59 +0100

kuwatcher (0.3-ku23-08a) unstable; urgency=low

  * debian/compat: (devuan daedalus) raised to 10

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 07 Jan 2026 18:44:15 +0100

kuwatcher (0.3-ku23-03b) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: reverted the changes of last release (compatibility issues raised by updating
    	   release files on old systems are solved, see changes to ku-jtools)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:51:41 +0100

kuwatcher (0.3-ku23-03a) unstable; urgency=low

  * debian/rules (debian.in/rules)
    - fix: force backward compatibility gzip format on newer distros (that defaults to xz):
           added -Zgzip to dh_builddeb

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:42:17 +0100

kuwatcher (0.3-ku21-05) unstable; urgency=low

  * production release ku21.05

  * meta: package owner
    - mod: Allblue SA dismissed, now is KUBiC Labs only
    - mod: from now releases uses the scheme YY.mm[patchlevel], where patchlevel
    	   usually is a locase letter; releases YY.mm (w/out patchlevel) are
	   production ones

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 29 Jan 2022 12:15:29 +0100

kuwatcher (0.3-ku3) unstable; urgency=low

  * sbin/kuwatcher
    - fix: stdout and stderr now are redirected to logfile if --verbose not
    	   used, to catch internal errors (like malformed check entries)
    - fix: $LOGFILE was not defined inplace, and defined as default from
   	   log.sh package, but overridden by environment in some conditions
    - mod: better exit management (cleanup() pseudofunc, traps, etc)
    - mod: replaced all backticks with $(...)
    - mod: replaced all "cp /dev/null filename" with ":> filename"

  * conf.d/00distrib_rules
    - new: added some samples

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Thu, 07 Jan 2021 16:02:36 +0100

kuwatcher (0.3-ku2) unstable; urgency=low

  * production release 0.3-ku2

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Thu, 02 Aug 2018 10:11:02 +0200

kuwatcher (0.3-ku1) unstable; urgency=low

  * helpers
    - new: nss-ldap enable/disable script, on 9.04 take care of reloading samba
    	   daemon (if started without ldap it will fails queries when ldap is
	   enabled later; see also kusa package module cli-ldap, changed to
	   reflect this behevaiour)

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Thu, 02 Aug 2018 06:46:48 +0200

kuwatcher (0.2-ku4-10) unstable; urgency=low

  * production release 0.3-ku0

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Sat, 20 Jun 2015 15:20:31 +0200

kuwatcher (0.2-ku4-9) unstable; urgency=low

  * init script
    - add: 2 secs delay between stop and start for "restart" function

  * sbin/kuwatcher
    - mod: tiny cosmetic changes

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Sat, 20 Jun 2015 12:54:49 +0200

kuwatcher (0.2-ku4-8) unstable; urgency=low

  * production release 0.2-ku4.8

 -- KUBiC Labs, Allblue SA (CH) <packager@kubiclabs.com>  Fri, 08 May 2015 02:46:52 +0200

kuwatcher (0.2-ku4-7) unstable; urgency=low

  * init script
    - fix: some variables set, for posix sh (dash) compliance

 -- Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>  Wed, 01 Oct 2014 01:46:07 +0200

kuwatcher (0.2-ku4-6) unstable; urgency=low

  * production release 0.2-ku4.6

 -- Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>  Wed, 01 Oct 2014 17:12:31 +0200

kuwatcher (0.2-ku4-5) unstable; urgency=low

  * STANDARDS UPDATE -> 1.5

  * checks/ping
    - mod: macro PING now is converted to a library script, instead of a
    	   one-shot commandline; now you can call the macro with an empty
	   args list, that raises an error like before, but without
	   complains

 -- Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>  Mon, 24 Mar 2014 12:53:33 +0100

kuwatcher (0.2-ku4-4) unstable; urgency=low

  * helpers/mount_nfs
    - fix: in /proc/mounts we can have trailing slash on filesystem names
      (a 12.04 remote nfs feature?)
    - mod: no cluttering messages for already mounted fs (DEBUG=true re-enables)

  * helpers/*, checks/*
    - fix: set CMD and DEBUG properly if not defined (mainly for debug manual
      invocation, that fails otherwise)

 -- KUBiC Labs - Lorenzo Canovi <lorenzo@kubiclabs.com>  Mon, 24 Feb 2014 02:57:23 +0100

kuwatcher (0.2-ku4-3) unstable; urgency=low

  * kuwatcher
    - fix: macros not working if separated to args by tab instead of space
    - fix: macros not working if separated to args by more than one space/tab

 -- KUBiC Labs - Lorenzo Canovi <lorenzo@kubiclabs.com>  Thu, 10 Oct 2013 02:20:33 +0200

kuwatcher (0.2-ku4-2) unstable; urgency=low

  * startup script
    - fix: ps -C used in loop for 'restart' function raises false detection,
      because get the init script itself as running daemon, replaced with a
      more complex test (grep)
    - fix: rewamped stop logic, since kuwatcher is a shell script that runs
      checks in foreground, can be busy and take some time to get killed, so
      added some sleep, and a retry loop with final brutal kill as last resort,
      the default number of tries is 10

 -- KUBiC Labs - Lorenzo Canovi <lorenzo@kubiclabs.com>  Sat, 14 Sep 2013 11:58:59 +0200

kuwatcher (0.2-ku4-1) unstable; urgency=low

  * fix: rebuild (last building was broken?)

 -- KUBiC Labs - Lorenzo Canovi <lorenzo@kubiclabs.com>  Tue, 12 Feb 2013 15:11:06 +0100

kuwatcher (0.2-ku4-0) unstable; urgency=low

  * mod: adopted ku build standards 2012/10
  * mod: updated due changes on kl-base -> ku-base
  * mod: debug aids: stout & stderr now saved on different files for "ok"

