=== debian/control ===
Source: kuwatcher
Section: klabs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Maintainer: Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>
Homepage: http://www.kubiclabs.com/

Package: kuwatcher
Architecture: all
Depends: ku-base, ethtool
Description: KUBiC Labs Watcher (periodic checks daemon) (beta)
 This daemon act similary to cron, running periodic user defined
 checks, like machines reacheability, services, etc, at certain
 intervals.
 .
 Actions can be issued in case of success or fail of checks.
 .
 Provides well tracing of events, using a logfile and dumps of
 all outputs in its own run directory.
