## kuwatcher 1.0-ku26-01a

=== debian/changelog ===
kuwatcher (1.0-ku26-01a) unstable; urgency=low

  * release
    - fix: made it 1.0 (LOL, forgot to leave beta status, but it's around by years)

  * sbin/kuwatcher
    - fix: don't change savestate if already in place (on refresh)


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 20 Jan 2026 19:00:53 +0100
